SoMFRotation(3)

NAME
SoMFRotation - The SoMFRotation class is a container for SbRotation values.

SYNOPSIS

#include <Inventor/fields/SoMFRotation.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFRotation & operator= (const SoMFRotation &field)
virtual SbBool isSame (const SoField &field) const
const SbRotation & operator[] (const int idx) const
const SbRotation * getValues (const int start) const
int find (const SbRotation &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbRotation *newvals)
void set1Value (const int idx, const SbRotation &value)
void setValue (const SbRotation &value)
const SbRotation & operator= (const SbRotation &val)
SbBool operator== (const SoMFRotation &field) const
SbBool operator!= (const SoMFRotation &field) const
SbRotation * startEditing (void)
void finishEditing (void)
void setValues (const int start, const int num, const float q[][4])
void set1Value (const int idx, const float q0, const float q1, const float q2, const float q3)
void set1Value (const int idx, const float q[4])
void set1Value (const int idx, const SbVec3f &axis, const float angle)
void setValue (const float q0, const float q1, const float q2, const float q3)
void setValue (const float q[4])
void setValue (const SbVec3f &axis, const float angle)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbRotation * values

  Additional Inherited Members

Detailed Description

The SoMFRotation class is a container for SbRotation values. This field is used where nodes, engines or other field containers need to store multiple rotation definitions.

See also
    SoSFRotation

Member Function Documentation

  void * SoMFRotation::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFRotation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFRotation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFRotation::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFRotation::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFRotation::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFRotation::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbRotation * SoMFRotation::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFRotation::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFRotation::setValues (const int start, const int numarg, const float q[][4])
Set the values of num rotations, starting from index start, using the quaternion quadruples from q.

  void SoMFRotation::set1Value (const int idx, const float q0, const float q1, const float q2, const float q3)
Set the rotation at idx from the quaternion values.

  void SoMFRotation::set1Value (const int idx, const float q[4])
Set the rotation at idx from the quaternion quadruple q.

  void SoMFRotation::set1Value (const int idx, const SbVec3f & axis, const float angle)
Set the rotation at idx from the rotation axis and angle.

  void SoMFRotation::setValue (const float q0, const float q1, const float q2, const float q3)
Set the field to a single rotation from the quaternion values.

  void SoMFRotation::setValue (const float q[4])
Set the field to a single rotation from the quaternion quadruple q.

  void SoMFRotation::setValue (const SbVec3f & axis, const float angle)
Set the field to a single rotation from the axis and angle.

Author

Generated automatically by Doxygen for Coin from the source code.